Package org.apache.batchee.container.modelresolver.impl

## Class JobPropertyResolver

- java.lang.Object
- - org.apache.batchee.container.modelresolver.impl.AbstractPropertyResolver<JSLJob>
  - - org.apache.batchee.container.modelresolver.impl.JobPropertyResolver

- All Implemented Interfaces:
    `PropertyResolver<JSLJob>`

      public class JobPropertyResolver
      extends AbstractPropertyResolver<JSLJob>

- - ### Field Summary

    - ### Fields inherited from class org.apache.batchee.container.modelresolver.impl.AbstractPropertyResolver

      `isPartitionedStep, UNRESOLVED_PROP_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobPropertyResolver​(boolean isPartitionStep)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JSLJob` | `substituteProperties​(JSLJob job, Properties submittedProps, Properties parentProps)` | Performs property substitution on a given batch element b and all nested sub elements.

    - ### Methods inherited from class org.apache.batchee.container.modelresolver.impl.AbstractPropertyResolver

      `replaceAllProperties, resolveElementProperties, substituteProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobPropertyResolver

          public JobPropertyResolver​(boolean isPartitionStep)

  - ### Method Detail

    - #### substituteProperties

          public JSLJob substituteProperties​(JSLJob job,
                                             Properties submittedProps,
                                             Properties parentProps)

      Description copied from interface: `PropertyResolver`
      Performs property substitution on a given batch element b and all nested sub elements. The given batch element is directly modified by this method.
      Parameters:
        `job` - This method will modify the given job. If you need to hold on to the original job you need to create a clone of the job before passing it to this method.
        `submittedProps` - The job parameters associated with this job. null is valid if no parameters are passed.
        `parentProps` - Properties that are inherited from parent elements. Job is top level element so it can have no parents, so this paramter is currently ignored. Null is valid.
      Returns: